Skip to main content
Kofax

EO/EE 4.2.6 / 5.4 enterprise upgrade

Question:

How to upgrade EO/EE enterprise enviroment

This document is intended to bring clarity to the mixed version environments that are supported when customers are upgrading from 4.2.6 to 5.4 and are in a "transition" state until all Equitrac components have been upgraded to 5.4.

For the purposes of this article:

4.2.6 is used to represent versions 4.2.4, 4.2.5 and 4.2.6

  • 4 is used to represent versions 5.0, 5.1, 5.2, 5.3 and 5.4 (although the desired/recommended final version is 5.4)
  • Answer:

    Nuance supports specific types of mixed version environments (4.2.6 and 5.4) as a "transition state" configuration, while a customer is working through an upgrade, but it is not expected to be a final end state.

    The first requirement is to upgrade the CAS to 5.4. After the CAS is upgraded to 5.4, all licenses must be upgraded to 5.x. Even though the CAS and all licenses are at 5.4, the other software components can be at 4.2.6. After the 5.4 CAS has been installed, and the licenses applied, the remaining components can be upgraded in the order specified. This order is imperative to maintain the interoperability of the mixed components.

    The following hierarchy of components must be followed as a customer migrates from 4.2.6 to 5.4 to ensure backwards compatibility and supportability during an upgrade of 4.2.6 to 5.4.

    Order of steps to follow for upgrade to 4.2.6 to 5.4

    1. Upgrade the Master CAS and System Manager Software first.
    2. Apply all upgrade licenses to the new EO/EE v5.x software.
    3. Upgrade the Slave CAS and System Manager.
    4. Upgrade all DRE servers & DRC Client if used.
    5. Upgrade SPE & Web Client if used.
    6. Upgrade all DCE servers.
    7. Upgrade all DME servers if used.
    8. Upgrade Release Stations if used.
    9. Upgrade all Windows Client & Macintosh client if used (If DRC is used with secure printing then the client needs to be upgraded before DCE).

    It is important to note for OS support that the 5.4 components adhere only to the 5.4 Tech Specs, and the 4.2.6 components adhere only to the 4.2.6 Tech Specs.

    Other Considerations when upgrading:

    A single server install CAS\DRE\DCE\Scheduler EO/EE 4.2.4 to EO/EE 5.4 normally could be around 30 minutes depending in pc performance.

    Important to always a backup the system prior to proceeding witht he upgrade

    - Backup needs to be planned, because EO/EE 4.x licenses will not work with EO/EE 5.x.

    -The EQ5 upgrade licenses need to be registered with reference to the old EQ4 licenses.

     (Nuance imlicensing needs to assist when maintenance need to be transferred)

    - EQSpool directory would go to the default when you have changed the EQSpool directory.

    - Also the AD Sync settings no longer are available in EO/EE 5.4, because that functions have changed.

    - When creating new AD Sync, please do not select Sync Now because that will trigger a full import that will overwrite user info in Equitrac.

    - When installing new features you also need to prepare Windows requirements for Web Management, etc. This could take extra time.

    (Please be aware that some features are enabled by default. When going ahead and upgrading select custom install because this will allow you to disable all unwanted components.)

    Please feel free to contact support before proceeding to upgrade your Equitrac Print enviroment if you still have questions.